notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

/commits.php is going away

I'm proposing to take /commits.php away - it mainly duplicates the home page. Details in this GitHub issue.
Port details
transmission25-gtk2 The last version of Transmission to support GTK 2.0
2.51_1 net-p2p Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 2.51_1Version of this port present on the latest quarterly branch. NOTE: Slave port - quarterly revision is most likely wrong.
Maintainer: crees@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2012-08-10 19:59:53
Last Update: 2013-03-09 12:24:29
SVN Revision: 313708
License: not specified in port
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • transmission-gtk2>0:net-p2p/transmission25-gtk2
No installation instructions: this port has been deleted.
The package name of this deleted port was: transmission25-gtk2
PKGNAME: transmission-gtk2
Flavors: there is no flavor information for this port.
distinfo:
There is no distinfo for this port.
No package information for this port in our database

Master port: net-p2p/transmission25-cli

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. gmake : devel/gmake
  2. intltool-extract : textproc/intltool
  3. pkgconf : devel/pkgconf
  4. update-desktop-database : devel/desktop-file-utils
  5. gtk-update-icon-cache : graphics/gtk-update-icon-cache
Runtime dependencies:
  1. index.html : www/transmission25-web
  2. xdg-open : devel/xdg-utils
  3. pkgconf : devel/pkgconf
  4. update-desktop-database : devel/desktop-file-utils
  5. libgiofam.so : devel/gio-fam-backend
  6. gtk-update-icon-cache : graphics/gtk-update-icon-cache
Library dependencies:
  1. curl.6 : ftp/curl
  2. event-2.0.6 : devel/libevent2
  3. notify.4 : devel/libnotify
  4. dbus-glib-1.2 : devel/dbus-glib
  5. intl : devel/gettext
  6. atk-1.0.0 : accessibility/atk
  7. gdk_pixbuf-2.0.0 : graphics/gdk-pixbuf2
  8. glib-2.0.0 : devel/glib20
  9. gtk-x11-2.0.0 : x11-toolkits/gtk20
  10. pango-1.0.0 : x11-toolkits/pango
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. net-p2p/transmission25*
  2. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:
Master Sites:
Expand this list (2 items)
Collapse this list.
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/
  2. http://transmission.cachefly.net/
Collapse this list.
Port Moves

Number of commits found: 3

Commit History - (may be incomplete: see SVNWeb link above for full details)
This is a slave port. You may also want to view the commits to the master port: net-p2p/transmission25-cli
DateByDescription
09 Mar 2013 12:24:29
Original commit files touched by this commit Revision:313708  2.51_1
crees search for other commits by this committer
Thanks to the latest GTK 3 update, transmission-gtk
(moved from transmission-gtk2) now builds.  All can upgrade safely!
31 Dec 2012 17:03:21
Original commit files touched by this commit Revision:309763  2.51_1
mezz search for other commits by this committer
Remove the created by me and update those header at the same time. I never
care about those header, so you even can claim that those were created by
you instead of me.
10 Aug 2012 19:59:18
Original commit files touched by this commit   2.51
crees search for other commits by this committer
Create transmission25 ports and UPDATING entry to explain.

Sadly, Transmission has stopped supporting GTK 2.0 (it had to happen some day).

They now require GTK 3.2.0 [1], which we currently lack, so for those who
wish to use the GTK frontend need to stay on version 2.5

When our GTK is upgraded I'll make MOVED entries to make the transition back to
2.6 as seamless as possible.

[1] http://tinyurl.com/cfchfp9

Number of commits found: 3